/* Customize the responsive nav */

h2 {
  color: var(--pico-primary);
}

header {
  position: relative;
  display: flex;
  flex-direction: column-reverse;
}

#logo {
  color: var(--pico-primary);
}

header a:hover {
  text-decoration: underline 2px;
}


.nav-collapse ul {
  text-align: right;
  text-transform: uppercase;
}

/* Nav toggle icon */
.nav-toggle {
  position: absolute;
  right: var(--pico-block-spacing-horizontal);
  background-image: url('../img/nav/menu-svgrepo-com.svg');
  display: block;
  width: 1.5rem;
  height: 1.5rem;
  font-size: 0;
  background-repeat: no-repeat;
  background-size: 1.5rem auto;
  &.active {
    background-image: url('../img/nav/x-svgrepo-com.svg');
  }
}

/* Horizontal navbar on desktop */
@media screen and (min-width: 70em) {
  header {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 50px;
  }
  #logo {
    align-items: center;
    margin-bottom: 0;
  }
  nav a {
    margin-left: 5px;
    margin-right: 5px;
  }
  .js .nav-collapse ul {
    width: auto;
    display: flex;
  }
  .js .nav-collapse li {
    width: auto;
  }
  .nav-toggle {
    display: none;
  }
}

